Groovy Documentation

## org.codehaus.groovy.ast.expr
[Java] Class FieldExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.FieldExpression

    public class FieldExpression
    extends Expression

Represents a field access such as the expression "this.foo".

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`FieldExpression(FieldNode field)`

Method Summary
`FieldNode` | `getField()`
`java.lang.String` | `getFieldName()`
`java.lang.String` | `getText()`
`ClassNode` | `getType()`
`boolean` | `isDynamicTyped()`
`boolean` | `isUseReferenceDirectly()`
`void` | `setType(ClassNode type)`
`void` | `setUseReferenceDirectly(boolean useRef)`
`java.lang.String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### FieldExpression

    public FieldExpression(FieldNode field)

Method Detail

### getField

    public FieldNode getField()

### getFieldName

    public java.lang.String getFieldName()

### getText

    public java.lang.String getText()

### getType

    public ClassNode getType()

### isDynamicTyped

    public boolean isDynamicTyped()

### isUseReferenceDirectly

    public boolean isUseReferenceDirectly()

### setType

    public void setType(ClassNode type)

### setUseReferenceDirectly

    public void setUseReferenceDirectly(boolean useRef)

### toString

    public java.lang.String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Groovy Documentation